Subject: bug#43084: toggle-korean-input-method, Korean with Dvorak

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 27 Jan 2021 07:33:31 +0100

"L.J. Lee" <[email-masked]> writes:

> I was  puzzled, however, that my Korean layout
> reverted to the more common 2-beol-sik (korean-hangul) whenever I
> pressed S-SPC. C-\ would work to switch my layout correctly, but
> pressing S-SPC even once to toggle to Korean layout would change the
> default layout to korean-hangul and necessitate a manual change back to
> korean-hangul3f
> using M-x set-input-method.
>
> I found out through language-info-alist that S-SPC is
> bound to toggle-korean-input-method, and used the function query to
> track this function to korea-util.el under lisp/language.
>
> As expected, the toggle-korean-input-method function set the
> default input method to korean-hangul regardless of user settings, so I
> redefined it from init.el to set the default-korean-keyboard as
> korean-hangul3f. Here's the code I used:
>
> (with-eval-after-load "language/korea-util"
> (defun toggle-korean-input-method ()
> "Turn on or off a Korean text input method for the current butter."
> (interactive)
> (if current-input-method
>     (deactivate-input-method)
>     (activate-input-method)
>         (concat "korean-hangul3f" default-korean-keyboard)))))

I don't use the Korean input methods, so this is totally uninformed --
but looking at the code, your alteration seems to be the same as putting

(setq default-korean-keyboard "3f")

in your init file?

In which case configuring this is already supported in Emacs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no